Bug 669300 - Fix shrinking windows with window scaling [rhel-5.6.z]
Summary: Fix shrinking windows with window scaling [rhel-5.6.z]
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Keywords: ZStream
Depends On: 627496
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-13 09:01 UTC by RHEL Product and Program Management
Modified: 2015-05-05 01:22 UTC (History)
12 users (show)

(edit)
When selecting a new window, the tcp_select_window() function tried not to shrink the offered window by using the maximum of the remaining offered window size and the newly calculated window size. The newly calculated window size was always a multiple of the window scaling factor, however, the remaining window size was not since it depended on rcv_wup/rcv_nxt. As a result, a window was shrunk when it was scaled down. With this update, aligning the remaining window to the window scaling factor assures a window is no longer shrunk.
Clone Of:
(edit)
Last Closed: 2011-03-01 20:29:49 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0303 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2011-03-01 20:29:26 UTC

Description RHEL Product and Program Management 2011-01-13 09:01:17 UTC
This bug has been copied from bug #627496 and has been proposed
to be backported to 5.6 z-stream (EUS).

Comment 3 Jiri Pirko 2011-01-26 07:38:10 UTC
in kernel-2.6.18-238.3.1.el5

linux-2.6-net-tcp-fix-shrinking-windows-with-window-scaling.patch

Comment 6 errata-xmlrpc 2011-03-01 20:29:49 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0303.html

Comment 7 Martin Prpič 2011-07-13 20:18:54 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When selecting a new window, the tcp_select_window() function tried not to shrink the offered window by using the maximum of the remaining offered window size and the newly calculated window size. The newly calculated window size was always a multiple of the window scaling factor, however, the remaining window size was not since it depended on rcv_wup/rcv_nxt. As a result, a window was shrunk when it was scaled down. With this update, aligning the remaining window to the window scaling factor assures a window is no longer shrunk.


Note You need to log in before you can comment on or make changes to this bug.